OBDFish (Fork)

Rating: 
5
Your rating: None Average: 5 (6 votes)

Rebuild and Fork of the OBDFish Application from jdrescher.

aarch64 added.

This is an application for Sailfish OS, which connects to an OBD ELM327 bluetooth car diagnostic reader.

You need an ELM327 OBD bluetooth adapter to use this app!!! Don't buy a cheap one like me. Of three adapters I bought, only one is working properly.

The app can:

  • search for adapters via bluetooth scan
  • connect and identify ELM327
  • find out which PID's are supported by car controller
  • read and display several PID values from car controller
  • show diagram for chosen PID values
  • if activated, write communication with ELM327 to file
  • show if the vehicle has errors, clear errors

ToDo's:

Supported languages are:

  • english
  • german

This software is open source GPLv3. Sourcecode: https://github.com/jdrescher2006/OBDFish

Please report bugs/issues to here: https://github.com/explit7/OBDFish/issues

Original Repo: https://github.com/jdrescher2006/OBDFish/issues

Enjoy!!!

Screenshots: 
Application versions: 
AttachmentSizeDate
File harbour-obdfish-0.94-1.i486.rpm262.23 KB01/04/2022 - 11:02
File harbour-obdfish-0.94-1.armv7hl.rpm258.19 KB01/04/2022 - 11:02
File harbour-obdfish-0.94-1.aarch64.rpm260.85 KB01/04/2022 - 11:02
File harbour-obdfish-0.94-2.aarch64.rpm861.95 KB28/04/2022 - 21:17
File harbour-obdfish-0.94-2.armv7hl.rpm863.79 KB28/04/2022 - 21:17
File harbour-obdfish-0.94-2.i486.rpm858.24 KB28/04/2022 - 21:17
Changelog: 
  • Contribution by JacekJagosz
  • Add missing qtbluetooth runtime dependency
  • opt out of sandboxing for SailfishOS >= 4.4

Comments

poetaster's picture

Thanks! It's good that it's here. I must admit, my VW T4 is from 1993, so I'm safe anyway:)

eson's picture

I'm about to buy an ELM327 OBD bluetooth adapter, but I have no idea which one. Maybe you can recommend one?

JacekJagosz's picture

I am having good luck with Konwei BT 3.0 Adapter

b100dian's picture

Thanks for this message. I have a Konnwei 3.0 but the app segfaults when I select it from the list. Any advice?

explit's picture

The best i found so far is the blue transculent one, maybe i found the link from Aliexpress

Maximilian1st's picture

Will you expand the functionalities of the app or is this an effort to make it aarch64 compatible?

explit's picture

I am not a developer, so i only rebuilt it.

JacekJagosz's picture

It doesn't run for me on X10 on 4.4, because it is missing libQt5Bluetooth.so.5
Installing qt5-qtconnectivity-qtbluetooth fixed it, it now works. Thanks for updating this app!

explit's picture

It runs for me on Xperia 10 III 4.4, i have no idea why libQt5Bluetooth is missing. Please report it on my Github project page, i will try to find the solution

JacekJagosz's picture

You must have had it installed because some other app require it, I think. Could you add it as a dependency, to make sure it is installed?

explit's picture

As i said, i am not a developer, i have no idea how to add it as dependency. If you are a dev - make a commit on github, i will merge it and recompile

apozaf's picture

Awesome!!!! Thx a LOT! Gonna try soon

explit's picture

You are welcome

ziellos's picture

Thank you so much!!!

explit's picture

I hope it works